Bug 97953 - Kill transitive effects of SelectorChecker::checkOneSelector.
Summary: Kill transitive effects of SelectorChecker::checkOneSelector.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dimitri Glazkov (Google)
URL:
Keywords:
Depends on: 98181
Blocks: 89879
  Show dependency treegraph
 
Reported: 2012-09-28 16:44 PDT by Dimitri Glazkov (Google)
Modified: 2012-10-26 13:44 PDT (History)
9 users (show)

See Also:


Attachments
WIP (8.03 KB, patch)
2012-09-28 16:44 PDT, Dimitri Glazkov (Google)
no flags Details | Formatted Diff | Diff
Patch (9.85 KB, patch)
2012-10-01 14:41 PDT, Dimitri Glazkov (Google)
no flags Details | Formatted Diff | Diff
Patch (9.84 KB, patch)
2012-10-01 14:43 PDT, Dimitri Glazkov (Google)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitri Glazkov (Google) 2012-09-28 16:44:19 PDT
Kill transitive effects of SelectorChecker::checkOneSelector.
Comment 1 Dimitri Glazkov (Google) 2012-09-28 16:44:47 PDT
Created attachment 166329 [details]
WIP
Comment 2 Eric Seidel (no email) 2012-09-28 18:00:14 PDT
Nice!
Comment 3 Dimitri Glazkov (Google) 2012-10-01 14:41:17 PDT
Created attachment 166546 [details]
Patch
Comment 4 Dimitri Glazkov (Google) 2012-10-01 14:43:27 PDT
Created attachment 166548 [details]
Patch
Comment 5 Eric Seidel (no email) 2012-10-01 14:47:24 PDT
Comment on attachment 166548 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=166548&action=review

> Source/WebCore/css/SelectorChecker.cpp:448
> +    if (context.selector->m_match == CSSSelector::PseudoElement) {

None of the other callers care about this block?
Comment 6 Dimitri Glazkov (Google) 2012-10-01 14:49:49 PDT
Comment on attachment 166548 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=166548&action=review

>> Source/WebCore/css/SelectorChecker.cpp:448
>> +    if (context.selector->m_match == CSSSelector::PseudoElement) {
> 
> None of the other callers care about this block?

Well, no -- since the code inside is operating on the assumption that it's looking at a pseudoelement selector :)
Comment 7 Eric Seidel (no email) 2012-10-01 15:33:51 PDT
Comment on attachment 166548 [details]
Patch

LGTM.
Comment 8 WebKit Review Bot 2012-10-01 15:54:16 PDT
Comment on attachment 166548 [details]
Patch

Clearing flags on attachment: 166548

Committed r130089: <http://trac.webkit.org/changeset/130089>
Comment 9 WebKit Review Bot 2012-10-01 15:54:19 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 WebKit Review Bot 2012-10-02 11:34:42 PDT
Re-opened since this is blocked by bug 98181